Subject: Re: [PATCH 01/10] ftgmac100: Upgrade to NETIF_F_HW_CSUM

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 12 Apr 2017 09:36:05 +1000

On Wed, 2017-04-12 at 08:06 +1000, Benjamin Herrenschmidt wrote:
> On Tue, 2017-04-11 at 11:27 -0400, David Miller wrote:
> > > I'll fix it in a next spin if Dave wants it that way but
> > > otherwise
> > > I'm keen to leave it as it is.
> > 
> > Please fix this and respin.
> > 
> > Meanwhile get the coding style rules changed if you disagree with
> > them.  A patch series review is not the place to argue about your
> > disagreement with the coding style rules.
> 
> I will fix.

Funny thing is, I think the code is wrong :)

I should call the helper when I don't recognize the protocol type
in the IP header, not just when the main skb protocol type is not IP.

BTW. I'm not too familiar with how encapsulation works these days. I
wouldn't throw at that HW anything other than unencapsulated packets
for HW checksumming. Is checking skb->protocol to be IP and
ip_hdr(skb)->protocol to be IP, UDP or TCP enough ? IE. Will the latter
especially return the outer header ?

Cheers,
Ben.